Bug 128551 - Bad handling of packages with + in the version
Bad handling of packages with + in the version
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-25 04:10 EDT by Pascal Terjan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-17 23:11:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pascal Terjan 2004-07-25 04:10:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7)
Gecko/20040708 Galeon/1.3.16

Description of problem:
rpm can't find a package with full version when version contains a +,
except by adding \ before the +.
I discovered this about mldonkey which some time ago got + inside it's
version.

Version-Release number of selected component (if applicable):
rpm-4.2.1-0.30

How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh http://fasmz.org/~pterjan/test-1+2-1.i586.rpm
2. rpm -q test 'test-1+2-1' 'test-1\+2-1'

Actual Results:
test-1+2-1
le paquetage test-1+2-1 n'est pas installé
test-1+2-1

Expected Results:
test-1+2-1
test-1+2-1
test-1+2-1

Additional info:
Comment 1 Jeff Johnson 2006-03-17 23:11:59 EST
Hmmm, WORKSFORME:

$ sudo rpm -Uvh test-4+2-2.i386.rpm 
Preparing...                ########################################### [100%]
   1:test                   ########################################### [100%]
$ rpm -q test test-4+2 test-4+2-2
test-4+2-2.i386
test-4+2-2.i386
test-4+2-2.i386
$ rpm --version
RPM version 4.4.6
Comment 2 Pascal Terjan 2006-03-18 04:47:49 EST
Yes, just tested with 4.4.4 and it works here too. Looks fixed.

Note You need to log in before you can comment on or make changes to this bug.